Verifier · Developers
Verifier · Developers
WorkspaceOpenAPI JSONQuickstartAPI reference
GET /v1/meGET /v1/me/api-keysPOST /v1/me/api-keysDELETE /v1/me/api-keys/{key_id}GET /v1/me/api-keys/{key_id}PATCH /v1/me/api-keys/{key_id}GET /v1/me/domainsPOST /v1/me/domainsDELETE /v1/me/domains/{domain}GET /v1/me/domains/{domain}PATCH /v1/me/domains/{domain}GET /v1/me/settingsPATCH /v1/me/settingsGET /v1/me/usageDELETE /v1/me/webhookGET /v1/me/webhookPATCH /v1/me/webhook
Workspace account

POST /v1/me/api-keys

Create a new API key for the authenticated tenant.

Family: Workspace account · Operation ID: createTenantApiKey

Access

Workspace API key: Authorization: Bearer <key>. The key is scoped to its workspace; the backend checks operation permissions and quota.

Manage workspace API keys

Required scope: admin

Create a key in Developer settings. Set API_BASE_URL to the current app origin.

Request example

curl --fail-with-body -X POST "$API_BASE_URL/v1/me/api-keys" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  --data-binary @request.json

Request body · application/json

{
  "$ref": "#/components/schemas/CreateApiKeyRequest",
  "definition": {
    "properties": {
      "expires_at": {
        "nullable": true,
        "type": "string"
      },
      "name": {
        "nullable": true,
        "type": "string"
      },
      "scopes": {
        "items": {
          "type": "string"
        },
        "nullable": true,
        "type": "array"
      }
    },
    "type": "object"
  }
}

Responses

201

{
  "description": "API key created"
}

default

{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/ErrorEnvelope"
      }
    }
  },
  "description": "Request error"
}

Download the full OpenAPI contract

GET /v1/me/api-keys

Previous Page

DELETE /v1/me/api-keys/{key_id}

Next Page